@echo off
cls
:retry

REM RUN THE PROGRAM
wb.exe

REM 5 MEANS MAJOR ERROR - THE FORECAST WASN'T PICKED UP
if errorlevel 5 goto endit

REM 3 MEANS MINOR ERROR - YOU CAN RERUN THE PROGRAM IN THIS EVENT
if errorlevel 3 goto retry

REM 0 MEANS THAT THE FORECAST WAS RETRIEVED
if errorlevel 0 goto haveit
goto endit

:haveit

REM CREATE THE BULLETIN FILE
copy wtop.asc bull17.bbs

REM APPEND THE FORECAST INFO AND THE MIDDLE & BOTTOM OF THE FILE
copy bull17.bbs+cmh2.dat+wmid.asc+oh2.dat+wbot.asc

REM PUT THE FINISHED FORECAST INTO THE BULLETIN SECTION
copy bull17.bbs d:\wildcat\bull

REM GET OUT OF THIS BATCH FILE
:endit
